Show / Hide Table of Contents

# AsyncTriggerExit2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerExit2DTrigger : AsyncTriggerBase<Collider2D>, IUniTaskAsyncEnumerable<Collider2D>

##### Inheritance

System.Object → AsyncTriggerBase<Collider2D> → AsyncTriggerExit2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Collider2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnTriggerExit2DAsyncHandler() |
GetOnTriggerExit2DAsyncHandler(CancellationToken) |
OnTriggerExit2DAsync() |
OnTriggerExit2DAsync(CancellationToken) |

### Methods

#### GetOnTriggerExit2DAsyncHandler()

    public IAsyncOnTriggerExit2DHandler GetOnTriggerExit2DAsyncHandler()

##### Returns

IAsyncOnTriggerExit2DHandler

#### GetOnTriggerExit2DAsyncHandler(CancellationToken)

    public IAsyncOnTriggerExit2DHandler GetOnTriggerExit2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnTriggerExit2DHandler

#### OnTriggerExit2DAsync()

    public UniTask<Collider2D> OnTriggerExit2DAsync()

##### Returns

UniTask<Collider2D>

#### OnTriggerExit2DAsync(CancellationToken)

    public UniTask<Collider2D> OnTriggerExit2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collider2D>

### Implements

IUniTaskAsyncEnumerable<T>